package internal

import (
	"time"

	"git.coopgo.io/coopgo-platform/routing-service"
	"github.com/paulmach/orb/geojson"
)

// PlannedRouteSchedule describes a route at a specific date, or a journey
// It can be used during journeys search to store journeys after they are processed from regular routes and tiles
type PlannedRouteSchedule struct {
	ID            string `bson:"_id" json:"id"`
	Route         *geojson.FeatureCollection
	DepartureDate time.Time      `bson:"departureDate"`
	Itinerary     *routing.Route `bson:"itinerary,omitempty"`
}
